//
//  PSUtilities.h
//  GSFontTools
//
//  Created by Georg Seifert on 31.07.11.
//  Copyright 2011 schriftgestaltung.de. All rights reserved.
//

typedef NS_ENUM(char, PSEncodingFormat) {
	PSEncodingFormatCFF = 'c',
	PSEncodingFormatType1 = '1',
	PSEncodingFormatType2 = '2',
};

extern int const PSTokenOperatorNil;

void PSEncodeFloat(NSMutableData *data, double f);
void PSEncodeFixed(NSMutableData *data, double f);
void PSEncodeIntCFF(NSMutableData *data, int value);
void PSEncodeIntT1(NSMutableData *data, int value);
void PSEncodeIntT2(NSMutableData *data, int value);

static NSArray *AdobeStandardEncoding = nil;
